Unified Inbox
List messages in a conversation
GET
/
workspaces
/
{workspace_uuid}
/
unified_inbox
/
conversations
/
{conversation_uuid}
/
messages
List messages in a conversation
curl --request GET \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 50,
"total_count": 2,
"total_pages": 1,
"next_page": null,
"prev_page": null,
"data": [
{
"uuid": "572a47f8-cc36-4bd2-b198-89ead0a169c7",
"conversation_uuid": "cf3ca4a0-ae1e-45d2-8bca-8a9ac6b3669f",
"direction": "out",
"status": "success",
"index": 1,
"content": "Hi Jane, I would like to connect!",
"attachments": [
{
"name": "attachment.png",
"url": "https://reachboost.io/attachment.png",
"content_type": "image/png"
}
],
"updated_at": "2025-10-10T09:00:00+01:00",
"created_at": "2025-10-01T09:00:00+01:00"
},
{
"uuid": "7d67e7a6-ae14-4d19-94c5-6f5dc9428abb",
"conversation_uuid": "cf3ca4a0-ae1e-45d2-8bca-8a9ac6b3669f",
"direction": "in",
"status": "success",
"index": 2,
"content": "Hi John, accepted! Nice to have you in my network.",
"attachments": [],
"updated_at": "2025-10-02T09:00:00+01:00",
"created_at": "2025-10-02T09:00:00+01:00"
}
]
}{
"error": "Invalid status. Must be one of: active, inactive, draft, finished"
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}Path Parameters
Query Parameters
⌘I
List messages in a conversation
curl --request GET \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/unified_inbox/conversations/{conversation_uuid}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 50,
"total_count": 2,
"total_pages": 1,
"next_page": null,
"prev_page": null,
"data": [
{
"uuid": "572a47f8-cc36-4bd2-b198-89ead0a169c7",
"conversation_uuid": "cf3ca4a0-ae1e-45d2-8bca-8a9ac6b3669f",
"direction": "out",
"status": "success",
"index": 1,
"content": "Hi Jane, I would like to connect!",
"attachments": [
{
"name": "attachment.png",
"url": "https://reachboost.io/attachment.png",
"content_type": "image/png"
}
],
"updated_at": "2025-10-10T09:00:00+01:00",
"created_at": "2025-10-01T09:00:00+01:00"
},
{
"uuid": "7d67e7a6-ae14-4d19-94c5-6f5dc9428abb",
"conversation_uuid": "cf3ca4a0-ae1e-45d2-8bca-8a9ac6b3669f",
"direction": "in",
"status": "success",
"index": 2,
"content": "Hi John, accepted! Nice to have you in my network.",
"attachments": [],
"updated_at": "2025-10-02T09:00:00+01:00",
"created_at": "2025-10-02T09:00:00+01:00"
}
]
}{
"error": "Invalid status. Must be one of: active, inactive, draft, finished"
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}
